from ...common.sync_node import SyncNode
from schemas.contract_settlement.contract_settlement import ContractSettlementResponse


class ContractSettlementSyncNode(SyncNode[ContractSettlementResponse]):
    """合同结算同步节点"""
    node_type = "contract_settlement"
    schema = ContractSettlementResponse
    
    def __init__(self, **kwargs):
        super().__init__(**kwargs)
